#!/usr/bin/python

#Given a PDB file, this script will 
#rename the chain ids.
#A.PANJKOVICH 20160224

import os
import argparse
import sys
import string
import re
import time
import shutil
import tempfile
import subprocess
import itertools

def renameChains(inputfn):
    print inputfn
    counter =0;
    letters = string.ascii_uppercase
    output = ""
    with open(inputfn, 'r') as rf:
        newchain = letters[counter]
        for line in rf:
            if re.match("ATOM", line):
                line = line[0:21] + newchain + line[22:]     
            else:   
                if re.match("TER", line):
                    counter += 1
                    newchain = letters[counter]
            output+=line
    return output

#MAIN:
parser = argparse.ArgumentParser(description='Given a PDB file, this script will rename the chain ids.')
parser.add_argument('-i', '--inputfn', help='input pdb file')
parser.add_argument('-o', '--outputfn', help='output pdb file')
args = parser.parse_args()

if len(sys.argv)==1:
    parser.print_help()
    sys.exit(1)

print "input file: " + repr(args.inputfn)
print "output file: " + repr(args.outputfn)
outputfn = args.outputfn
renumerated = renameChains(args.inputfn)
with open(outputfn, "w") as outputfile:
    outputfile.write(renumerated)
 

